Commit 9384815d authored by David Kimdon's avatar David Kimdon Committed by Dmitry Bogatov

Import Debian changes 0.51-5

fastforward (0.51-5) unstable; urgency=low

  * add manpage (closes: #96501) 
  * build cleanups.
  * maintainer field set to packages@qa.debian.org

fastforward (0.51-4) unstable; urgency=low

  * Orphaned.

fastforward (0.51-3) unstable; urgency=low

  * Use /usr/sbin/qmail-queue instead of /var/qmail/bin/qmail-queue.
    Thanks to Tomoaki Ishikawa. Closes: bug#43974
  * FHS compliance.

fastforward (0.51-2) unstable; urgency=low

  * Got rid of debhelper dependency

fastforward (0.51-1) unstable; urgency=low

  * Initial Release.
parent bbef731d
This is a feeble little package that just contains a script to unpack
and build #PACKAGE# from source, so that we don't violate Dan Bernstein's
restrictions on binary distribution.
Philip Hands <phil@hands.com>
(adapted for use in fastforward by Tommi Virtanen <tv@debian.org>)
fastforward for Debian
----------------------
Please read the file ALIASES to see how to integrate fastforward with
qmail.
#!/bin/bash -e
#
# build-<package>
#
# $Id: build-PACKAGE,v 1.1 1999/06/11 11:48:13 tv Exp $
#
# Written by Philip Hands <phil@hands.com>
# Copyright (C) 1998 Free Software Foundation, Inc.
# Copying: GPL
# ask_user --- function prompts the user with y/n style prompt
#
# It's behaviour is controlled via the parameters:
# 1 - the initial prompt
# 2 - default return value (set to 0, 1 or "none")
# 3 - the patern match for acceptable Yes responses
# 4 - the patern match for acceptable No responses
# 5 - the error prompt, displayed when the user fails to provide valid input
#
# e.g. ask_user "Foo, or Bar [fb] " none '[fF]*' '[bB]*' "try again"
ask_user() {
P=${1:-'Should I do this ? [yN] '}
D=${2:-1}
Y=${3:-'[yY]*'}
N=${4:-'[nN]*'}
E=${5:-'\nPlease enter either y)es or n)o, followed by <RETURN>\n'}
while true ; do
echo -ne "$P"
read response
case "$response" in
${Y} ) return 0 ;;
$N ) return 1 ;;
"" ) [ "$D" = 0 -o "$D" = 1 ] && return $D ;;
esac
echo -e $E
done
}
package=${0##*build-}
NEWDIR=/tmp/$package
cat <<!END!
This script unpacks the ${package} source into a directory, and
compiles it to produce a binary ${package}*.deb file.
The directory where this is done will end up containing the source
and package files for the $package binary package, along with a
directory containing the unpacked source.
!END!
line=kjfdsh
read -e -p "Enter a directory where you like to do this [$NEWDIR] " line
NEWDIR="${line:-$NEWDIR}"
if test -d $NEWDIR
then
ask_user "$NEWDIR already exists, should I use it anyway ? [yN] " || {
echo -e "\nPlease fix it and run $0 again\n"
exit 1
}
else
mkdir $NEWDIR
fi
cd $NEWDIR
dpkg-source -x /usr/src/${package}-src/${package}_*.dsc
cd ${package}-*
CANBEROOT=no
SU=""
if [ 0 = `id -u` ]
then
BUILDROOT=""
CANBEROOT=yes
else
hash fakeroot 2>/dev/null && HAVE_FAKEROOT=fakeroot || HAVE_FAKEROOT=""
hash sudo 2>/dev/null && HAVE_SUDO=sudo || HAVE_SUDO=""
if [ -n "$HAVE_FAKEROOT" -a -n "$HAVE_SUDO" ]
then
echo ""
if ask_user "Should I use sudo or fakeroot to build the package ? [sF] " 1 '[sS]*' '[fF]*' "\nPlease enter either s)udo or f)akeroot, followed by <RETURN>\n"
then
BUILDROOT=sudo
else
BUILDROOT=fakeroot
fi
elif [ -n "$HAVE_FAKEROOT" -o -n "$HAVE_SUDO" ]
then
BUILDROOT="${HAVE_FAKEROOT:-$HAVE_SUDO}"
else
# sanity check, dependencies should provide one of them
echo ""
echo 'oops! you have not installed fakeroot or sudo!'
echo ""
exit 1
fi
if [ -n "$HAVE_SUDO" ]
then
cat<<!END!
In addition to building the package, there are certain other actions that
you may want me to do (i.e. installing the new package) that need real root
access. If you want, I can a achieve this by use of sudo.
In each case, you will be prompted before I attempt one of these actions
!END!
if ask_user "Should I use sudo to gain real root access when required ? [Yn] " 0
then
SU=sudo
CANBEROOT=yes
fi
fi
fi
echo ""
cd $NEWDIR
dpkg-source -x /usr/src/${package}-src/${package}*.dsc
cd ${package}-*
echo ""
echo "Binary package $package will be compiled now"
echo "This can take long time, depending on your machine"
echo ""
echo -n "Press ENTER to continue..."
read blah
$BUILDROOT debian/rules binary-arch binary-indep
cd ..
blah="`find . -name ${package}\*.deb -maxdepth 1`"
if [ "${blah}" ]
then
echo ""
echo "It seems that all went ok"
echo ""
else
echo ""
echo "Some error happened, stopping here."
echo ""
exit 1
fi
if ask_user "Do you want to remove all files in $NEWDIR,\nexcept `echo ${package}*.deb` now? [Yn] " 0
then
[ "$BUILDROOT" = sudo ] && ROOT4RM=sudo
echo -n "Removing files... "
$ROOT4RM rm -rf ./${package}-*/
$ROOT4RM rm -f ./${package}*{.dsc,.diff.gz,.orig.tar.gz}
echo "done"
fi
echo ""
if [ "$CANBEROOT" = yes ]
then
if ask_user "Do you want to install `echo ${package}*.deb` now? [Yn] " 0
then
$SU dpkg --install ${package}*.deb || true
fi
else
echo "`echo ${package}*.deb` is in $NEWDIR"
echo "You have to execute the following to install it, being root:"
echo ""
echo " dpkg --install `echo ${package}*.deb`"
fi
echo ""
if [ "$CANBEROOT" = yes ]
then
if ask_user "Do you want to purge ${package}-src now? [yN] " 1
then
$SU dpkg --purge ${package}-src || true
fi
else
echo ""
echo "You can now remove package ${package}-src running as root"
echo ""
echo " dpkg --remove ${package}-src"
fi
echo ""
echo "Remember that you can install `echo ${package}*.deb`"
echo "in other computers so you don't need to compile it again."
echo ""
echo 'Good luck!'
echo ""
exit 0
.TH build-fastforward 1
.SH NAME
build-fastforward \- helper script for building fastforward binary package
.SH SYNOPSIS
.B build-fastforward
.br
.SH DESCRIPTION
.PP
\fBbuild-fastforward\fP script prompts user to enter all
the necessary parameters, builds and installs (if user says so)
\fBfastforward\fP package. It can be run by root or non-root user.
.PP
If script is run by root, it asks about:
.IP \fB*\fP
temporary directory used for unpacking program sources and
building \fBfastforward\fP package. Default is \fI/tmp/fastforward\fP.
User must have write access to this directory. If directory doesn't
exist, user must have write access to the directory above.
If directory exists, script will ask permission to use this directory.
Default option is \fIN\fP (no, don't use existing directory). Other
option is \fIy\fP (use existing directory and override the files
that reside in that directory).
.IP \fB*\fP
permission to build the package. It's enough to press \fIENTER\fP
.IP \fB*\fP
if binary package is created during build process, script
asks user's permission to remove all files except binary package
in directory used for building package. Default is \fIY\fP (yes).
Other option is \fIn\fP (no, don't cleanup directory).
.IP \fB*\fP
user's permission to install \fBfastforward\fP package. Default is
\fIY\fP (yes, install). Other option is \fIn\fP (no, don't install)
.IP \fB*\fP
user's permission to remove \fBfastforward-src\fP package. Default
is \fIN\fP (no, don't remove). Other option is \fIy\fP (yes, remove
source package).
.PP
If script is run by non-root user, additional questions about
\fBfakeroot\fP or \fBsudo\fP usage are asked.
.PP
Non-root user can build package only if \fBfakeroot\fP is installed
or if this user can use \fBsudo\fP to gain root user privileges.
.PP
Non-root user can install builded binary package only if \fBsudo\fP
is installed and if this user can use \fBsudo\fP to gain root privileges.
.SH SEE ALSO
For more information about \fBfastforward\fP see:
.br
http://cr.yp.to/fastforward.html
.SH LICENSE
This script is licensed under the GPL
.SH AUTHOR
Script was originally written by Philip Hands <phil@hands.com>
.PP
This manual page was written by Tomas Kuliavas
<tokul@bigfoot.com> for the Debian GNU/Linux system,
but may be used elsewhere under the GPL.
fastforward (0.51-5) unstable; urgency=low
* add manpage (closes: #96501)
* build cleanups.
* maintainer field set to packages@qa.debian.org
-- David Kimdon <dwhedon@debian.org> Sun, 3 Feb 2002 15:14:54 -0800
fastforward (0.51-4) unstable; urgency=low
* Orphaned.
-- Tommi Virtanen <tv@debian.org> Sun, 23 Jul 2000 16:11:48 +0300
fastforward (0.51-3) unstable; urgency=low
* Use /usr/sbin/qmail-queue instead of /var/qmail/bin/qmail-queue.
Thanks to Tomoaki Ishikawa. Closes: bug#43974
* FHS compliance.
-- Tommi Virtanen <tv@debian.org> Mon, 20 Sep 1999 22:21:16 +0300
fastforward (0.51-2) unstable; urgency=low
* Got rid of debhelper dependency
-- Tommi Virtanen <tv@debian.org> Wed, 7 Jul 1999 18:20:17 +0300
fastforward (0.51-1) unstable; urgency=low
* Initial Release.
-- Tommi Virtanen <tv@debian.org> Fri, 11 Jun 1999 14:02:22 +0300
Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:
Source: fastforward
Section: non-free/mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.0.1
Package: fastforward-src
Architecture: all
Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), fakeroot | sudo, gcc, make
Description: aliases-style mail forwarding for qmail (source)
This is a source only package for building fastforward binary
package from source, because Dan Bernstein (fastforward's author)
only gives permission for fastforward to be distributed in source form.
.
fastforward handles qmail forwarding according to a cdb database. It can
create forwarding databases from a sendmail-style /etc/aliases or from
user-oriented virtual-domain tables.
.
fastforward supports external mailing lists, stored in a binary format
for fast access. It has a tool to convert sendmail-style include files
into binary lists.
.
fastforward is more reliable than sendmail. sendmail can't deal with
long aliases, or deeply nested aliases, or deeply nested include files;
fastforward has no limits other than memory. sendmail can produce
corrupted alias files if the system crashes; fastforward is crashproof.
.
fastforward's database-building tools are much faster than sendmail's
newaliases. Even better, fastforward deliveries don't pause while the
database is being rebuilt.
.
fastforward does not support insecure sendmail-style program deliveries
from include files; you can use qmail's secure built-in mechanisms
instead. fastforward does support program deliveries from /etc/aliases.
Source: fastforward
Section: non-free/mail
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 2.4.0.0
Package: fastforward
Architecture: any
Depends: qmail, ${shlibs:Depends}
Description: aliases-style mail forwarding for qmail
fastforward handles qmail forwarding according to a cdb database. It can
create forwarding databases from a sendmail-style /etc/aliases or from
user-oriented virtual-domain tables.
.
fastforward supports external mailing lists, stored in a binary format
for fast access. It has a tool to convert sendmail-style include files
into binary lists.
.
fastforward is more reliable than sendmail. sendmail can't deal with
long aliases, or deeply nested aliases, or deeply nested include files;
fastforward has no limits other than memory. sendmail can produce
corrupted alias files if the system crashes; fastforward is crashproof.
.
fastforward's database-building tools are much faster than sendmail's
newaliases. Even better, fastforward deliveries don't pause while the
database is being rebuilt.
.
fastforward does not support insecure sendmail-style program deliveries
from include files; you can use qmail's secure built-in mechanisms
instead. fastforward does support program deliveries from /etc/aliases.
Package: fastforward-src
Architecture: all
Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), fakeroot | sudo, gcc, make
Description: aliases-style mail forwarding for qmail (source)
This is a source only package for building fastforward binary
package from source, because Dan Bernstein (fastforward's author)
only gives permission for fastforward to be distributed in source form.
.
fastforward handles qmail forwarding according to a cdb database. It can
create forwarding databases from a sendmail-style /etc/aliases or from
user-oriented virtual-domain tables.
.
fastforward supports external mailing lists, stored in a binary format
for fast access. It has a tool to convert sendmail-style include files
into binary lists.
.
fastforward is more reliable than sendmail. sendmail can't deal with
long aliases, or deeply nested aliases, or deeply nested include files;
fastforward has no limits other than memory. sendmail can produce
corrupted alias files if the system crashes; fastforward is crashproof.
.
fastforward's database-building tools are much faster than sendmail's
newaliases. Even better, fastforward deliveries don't pause while the
database is being rebuilt.
.
fastforward does not support insecure sendmail-style program deliveries
from include files; you can use qmail's secure built-in mechanisms
instead. fastforward does support program deliveries from /etc/aliases.
This package was debianized by Tommi Virtanen tv@debian.org on
Fri, 11 Jun 1999 13:51:20 +0300.
It was downloaded from
ftp://koobera.math.uic.edu/www/fastforward.html
Upstream Author(s): D. J. Bernstein <djb@koobera.math.uic.edu>
<djb@pobox.com>
Copyright:
You may distribute unmodified copies of the fastforward package.
In ftp://koobera.math.uic.edu/www/softwarelaw.html DJB says
In the United States, once you own a copy of a program, you can
back it up, compile it, run it, and even modify it as necessary,
without permission from the copyright holder. See 17 USC 117.
[...]
Patches
According to the CONTU Final Report, which is generally
interpreted by the courts as legislative history, ``the right to
add features to the program that were not present at the time of
rightful acquisition'' falls within the owner's rights of
modification under section 117.
Note that, since it's not copyright infringement for you to apply
a patch, it's also not copyright infringement for someone to give
you a patch. For example, Galoob's Game Genie, which patches the
software in Nintendo cartridges, does not infringe Nintendo's
copyrights. ``Having paid Nintendo a fair return, the consumer may
experiment with the product and create new variations of play, for
personal enjoyment, without creating a derivative work.'' Galoob
v. Nintendo, 780 F. Supp 1283 (N.D. Cal. 1991), affirmed, 22
U.S.P.Q.2d 1587 (9th Cir. 1992). See also Foresight
v. Pfortmiller, 719 F. Supp 1006 (D. Kan. 1989).
Free software
What does all this mean for the free software world? Once you've
legally downloaded a program, you can compile it. You can run
it. You can modify it. You can distribute your patches for other
people to use. If you think you need a license from the copyright
holder, you've been bamboozled by Microsoft. As long as you're not
distributing the software, you have nothing to worry about.
..so this leaves us with the right to distribute unmodified sources
and distribute and apply patches (but not distribute the modified
sources or binaries!).
#!/bin/sh -e
if [ "$1" = "configure" ]; then
if [ -d /usr/doc -a ! -e /usr/doc/#PACKAGE# \
-a -d /usr/share/doc/#PACKAGE# ]; then
ln -sf ../share/doc/#PACKAGE# /usr/doc/#PACKAGE#
fi
fi
#!/bin/sh
set -e
if [ "remove" = "$1" ] || [ "purge" = "$1" ]
then
dpkg-divert --package fastforward --remove --rename \
--divert /usr/bin/newaliases.qmail /usr/bin/newaliases >/dev/null
fi
#!/bin/sh
set -e
if [ "install" = "$1" ] || [ "upgrade" = "$1" ]
then
dpkg-divert --package fastforward --add --rename \
--divert /usr/bin/newaliases.qmail /usr/bin/newaliases > /dev/null
fi
#!/bin/sh -e
if [ \( "$1" = "upgrade" -o "$1" = "remove" \) \
-a -L /usr/doc/#PACKAGE# ]; then
rm -f /usr/doc/#PACKAGE#
fi
#!/usr/bin/make -f
PACKAGE = $(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)
PKG_VER = $(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
PKG_UPVER= $(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)
BINS=fastforward printforward setforward newaliases \
printmaillist setmaillist newinclude
build: build-stamp
build-stamp: debian/control
test -e debian/control
$(MAKE)
touch build-stamp
clean: debian/control
test -e debian/control
test root = "`whoami`" || (echo need root priviledges; exit 1)
rm -f build-stamp
rm -f *.o
rm -f *.0
rm -f *.a
rm -f compile find-systype load makelib \
systype uint32.h auto-ccld.sh auto-str \
auto_qmail.c fork.h hassgact.h haswaitp.h \
make-compile make-load make-makelib
rm -f $(BINS)
rm -rf debian/substvars debian/files debian/tmp debian/tmp-src
binary-indep: build
binary-arch: build debian/control
test -e debian/control
test root = "`whoami`" || (echo need root priviledges; exit 1)
rm -rf debian/substvars debian/tmp debian/tmp-src
install -d --mode=0755 debian/tmp/usr/bin
install --mode=0755 $(BINS) debian/tmp/usr/bin
install -d --mode=0755 debian/tmp/usr/share/doc/fastforward
install --mode=0644 debian/copyright debian/README.Debian \
README ALIASES BLURB THANKS TODO \
debian/tmp/usr/share/doc/fastforward
install -d --mode=0755 debian/tmp/usr/share/man/man1
install --mode=0644 *.1 debian/tmp/usr/share/man/man1
gzip -9 debian/tmp/usr/share/man/man1/*
install --mode=0644 debian/changelog \
debian/tmp/usr/share/doc/fastforward/changelog.Debian
install --mode=0644 CHANGES \
debian/tmp/usr/share/doc/fastforward/changelog
gzip -9 debian/tmp/usr/share/doc/fastforward/changelog*
strip --remove-section=.comment --remove-section=.note \
debian/tmp/usr/bin/*
install -d --mode=0755 debian/tmp/DEBIAN
sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/prerm.fastforward \
> debian/tmp/DEBIAN/prerm
sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/postinst.fastforward \
> debian/tmp/DEBIAN/postinst
chmod 0755 debian/tmp/DEBIAN/postinst debian/tmp/DEBIAN/prerm
install -m 755 debian/postrm.fastforward debian/tmp/DEBIAN/postrm
install -m 755 debian/preinst.fastforward debian/tmp/DEBIAN/preinst
dpkg-shlibdeps debian/tmp/usr/bin/*
dpkg-gencontrol -pfastforward -cdebian/control.real
dpkg --build debian/tmp ..
binary-src: debian/control ../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz ../$(PACKAGE)_$(PKG_VER).dsc ../$(PACKAGE)_$(PKG_VER).diff.gz
$(RM) -r debian/tmp-src debian/files
install -d -m0755 debian/tmp-src/DEBIAN \
debian/tmp-src/usr/bin \
debian/tmp-src/usr/src/fastforward-src \
debian/tmp-src/usr/share/doc/fastforward-src
install -m0755 debian/build-PACKAGE debian/tmp-src/usr/bin/build-$(PACKAGE)
install -m0644 ../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz \
../$(PACKAGE)_$(PKG_VER).dsc \
../$(PACKAGE)_$(PKG_VER).diff.gz \
debian/tmp-src/usr/src/$(PACKAGE)-src/
sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/src.postinst > debian/tmp-src/DEBIAN/postinst
sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/src.prerm > debian/tmp-src/DEBIAN/prerm
chmod 0755 debian/tmp-src/DEBIAN/postinst debian/tmp-src/DEBIAN/prerm
sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/README-src > debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
chmod 0644 debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
install -m0644 debian/changelog debian/tmp-src/usr/share/doc/$(PACKAGE)-src/changelog.Debian
install -m0644 debian/README-src debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
gzip -9fr debian/tmp-src/usr/share/doc/
install -m0644 debian/copyright debian/tmp-src/usr/share/doc/$(PACKAGE)-src/
install -d -m0755 debian/tmp-src/usr/share/man/man1
install -m0644 debian/build-fastforward.1 debian/tmp-src/usr/share/man/man1/build-fastforward.1
gzip debian/tmp-src/usr/share/man/man1/build-fastforward.1
dpkg-gencontrol -p$(PACKAGE)-src -Pdebian/tmp-src
chown -R root.root debian/tmp-src
chmod -R go=rX debian/tmp-src
dpkg --build debian/tmp-src ..
debian/control: debian/control.real
test -f debian/control.real && sed -e "/^Package: $(PACKAGE)-src$$/b" -e "/^Package: /,/^$$/d" debian/control.real > debian/control
../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz:
@{ echo "Error: $@ missing"; exit 1; }
../$(PACKAGE)_$(PKG_VER).dsc ../$(PACKAGE)_$(PKG_VER).diff.gz: debian/rules
debian/rules clean
cd ..; dpkg-source -b $(PACKAGE)-$(PKG_UPVER)
source diff:
@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
binary: binary-indep binary-arch binary-src
.PHONY: build clean binary-indep binary-arch binary-src binary install
#!/bin/sh -e
if [ "$1" = "configure" ]; then
if [ -d /usr/doc -a ! -e /usr/doc/#PACKAGE#-src \
-a -d /usr/share/doc/#PACKAGE#-src ]; then
ln -sf ../share/doc/#PACKAGE#-src /usr/doc/#PACKAGE#-src
fi
fi
echo ""
echo "To build #PACKAGE# binary package, you have to run"
echo ""
echo " build-#PACKAGE#"
echo ""
echo -n "Press ENTER to continue..."
read blah
exit 0
#!/bin/sh -e
if [ \( "$1" = "upgrade" -o "$1" = "remove" \) \
-a -L /usr/doc/#PACKAGE#-src ]; then
rm -f /usr/doc/#PACKAGE#-src
fi
......@@ -7,7 +7,7 @@
#include "qmail.h"
#include "auto_qmail.h"
static char *binqqargs[2] = { "bin/qmail-queue", 0 } ;
static char *binqqargs[2] = { "/usr/sbin/qmail-queue", 0 } ;
int qmail_open(qq)
struct qmail *qq;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment